EvLoop::loopFork
EvLoop::nowUpdate
EvLoop
PHP Manual

# EvLoop::now

Returns the current "event loop time"

### Description

public double EvLoop::now ( void )

Returns the current "event loop time", which is the time the event loop received events and started processing them. This timestamp does not change as long as callbacks are being processed, and this is also the base time used for relative timers. You can treat it as the timestamp of the event occurring(or more correctly, libev finding out about it).

### Parameters

This function has no parameters.

### Return Values

Returns time of the event loop in (fractional) seconds.

### See Also

- Ev::now